/***************************************************************************
                          main.h  -  description
                             -------------------
    begin                : Thu Sep 19 2002
    copyright            : (C) 2002 by Andrew D. Balsa
    email                : andrebalsa@mailingaddress.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAIN_H
#define MAIN_H

/*--------------  Defines  ------------------*/

#define PLAY_MOVE (0)   /* code for normal play */
#define RESIGN (-2)     /* code for resigning */
#define PASS (-1)       /* pass */
#define BOTHPASS (-3)   /* code for both sides passed, game is over*/

/*codes for players; and a code for something (e.g. a point on the board) */
/* which belongs to neither*/
#define BLACK 0
#define WHITE 1
#define EMPTY 2

/*--------------  Globals  ------------------*/

/*name program uses for itself*/
char *progname = PACKAGE;
char *proginfo = "A simple program to play Go";
char *version  = VERSION;
string wallyHelp ( "Usage: wallyplus [-s n] [-opts]"
		    "\n where n is an optional board size from 9 to 19"
		    "\n(default is 9)"
		    "\nMain Options:"
"\n	-handicap m		Specifies handicap of m stones"
"\n			Default is 0"
"\n	-komi p		Specifies komi"
"\n			Default is 0"
"\n	-white		Forces Wallyplus to play White"
"\n			Default is Wallyplus plays Black"
"\n	-gtp		Forces the playing mode to 'gtp'"
"\n			Default is console playing mode" 
"\n\nInformative Output:"
"\n	-v, --version	Display the version of Wallyplus"
"\n	-h, --help	Display this help message\n" );

#endif // MAIN_H
